Module java.desktop
Package java.awt.print

## Class PrinterIOException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.awt.print.PrinterException
      - - java.awt.print.PrinterIOException

- All Implemented Interfaces:
    `Serializable`

      public class PrinterIOException
      extends PrinterException

  The `PrinterIOException` class is a subclass of `PrinterException` and is used to indicate that an IO error of some sort has occurred while printing.

  As of release 1.4, this exception has been retrofitted to conform to the general purpose exception-chaining mechanism. The "`IOException` that terminated the print job" that is provided at construction time and accessed via the `getIOException()` method is now known as the cause, and may be accessed via the `Throwable.getCause()` method, as well as the aforementioned "legacy method."

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PrinterIOException​(IOException exception)` | Constructs a new `PrinterIOException` with the string representation of the specified `IOException`.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `Throwable` | `getCause()` | Returns the cause of this exception (the `IOException` that terminated the print job).
    `IOException` | `getIOException()` | Returns the `IOException` that terminated the print job.

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PrinterIOException

          public PrinterIOException​(IOException exception)

      Constructs a new `PrinterIOException` with the string representation of the specified `IOException`.
      Parameters:
        `exception` - the specified `IOException`

  - ### Method Detail

    - #### getIOException

          public IOException getIOException()

      Returns the `IOException` that terminated the print job.

      This method predates the general-purpose exception chaining facility. The `Throwable.getCause()` method is now the preferred means of obtaining this information.

      Returns:
        the `IOException` that terminated the print job.
      See Also:
        `IOException`

    - #### getCause

          public Throwable getCause()

      Returns the cause of this exception (the `IOException` that terminated the print job).
      Overrides:
        `getCause` in class `Throwable`
      Returns:
        the cause of this exception.
      Since:
        1.4